[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorKeyDown

Implements the OnKeyDown event handler for the cell editor.

## Declaration

Source position: grids.pas line 1347

`public procedure TCustomGrid.EditorKeyDown(`
`Sender: TObject;`
`var Key: Word;`
`Shift: TShiftState`
`);`

## Arguments

`Sender` |  | Object (TCustomGrid) for the event notification.
`Key` |  | Key examined in the method.
`Shift` |  | Shift / Ctrl / Alt modifier for the Key.

## Description

EditorKeydown is assigned as the OnKeyDown event handler in the Editor control when it is configure and assigned to the Editor property. EditorKeydown calls the KeyDown method to apply the Key and Shift arguments.

## See also

TCustomGrid.Editor |  | The editor control used to modify the value in the current cell.
TCustomGrid.KeyDown |  | Handles key down events for the grid control.
TWinControl.OnKeyDown |  | Event handler signalled for key down keyboard events.